Files
bsdports/text/hunspell/files/patch-x-tests-suggestiontest-Makefile
2025-08-27 17:10:19 +02:00

453 lines
13 KiB
Plaintext

--- ./tests/suggestiontest/Makefile.orig 2011-01-24 13:43:05.000000000 +0200
+++ ./tests/suggestiontest/Makefile 2014-12-23 10:16:21.000000000 +0200
@@ -1,11 +1,440 @@
-all:
- ./prepare
- ./test
-
-single:
- ./prepare2
- ./test
+# Makefile.in generated by automake 1.11.3 from Makefile.am.
+# tests/suggestiontest/Makefile. Generated from Makefile.in by configure.
-clean:
- rm *.[1-5] result.*
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
+# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
+# Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+
+
+pkgdatadir = $(datadir)/hunspell
+pkgincludedir = $(includedir)/hunspell
+pkglibdir = $(libdir)/hunspell
+pkglibexecdir = $(libexecdir)/hunspell
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+build_triplet = i386-pc-freebsd10
+host_triplet = i386-pc-freebsd10
+target_triplet = i386-pc-freebsd10
+subdir = tests/suggestiontest
+DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
+ $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/glibc2.m4 \
+ $(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/iconv.m4 \
+ $(top_srcdir)/m4/intdiv0.m4 $(top_srcdir)/m4/intl.m4 \
+ $(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/intmax.m4 \
+ $(top_srcdir)/m4/inttypes-pri.m4 \
+ $(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/lcmessage.m4 \
+ $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
+ $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
+ $(top_srcdir)/m4/lock.m4 $(top_srcdir)/m4/longlong.m4 \
+ $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
+ $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+ $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
+ $(top_srcdir)/m4/printf-posix.m4 $(top_srcdir)/m4/progtest.m4 \
+ $(top_srcdir)/m4/size_max.m4 $(top_srcdir)/m4/stdint_h.m4 \
+ $(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/visibility.m4 \
+ $(top_srcdir)/m4/wchar_t.m4 $(top_srcdir)/m4/wint_t.m4 \
+ $(top_srcdir)/m4/xsize.m4 $(top_srcdir)/configure.ac
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+ $(ACLOCAL_M4)
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+CONFIG_HEADER = $(top_builddir)/config.h
+CONFIG_CLEAN_FILES =
+CONFIG_CLEAN_VPATH_FILES =
+SOURCES =
+DIST_SOURCES =
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = ${SHELL} /data/ports10/text/hunspell/work/hunspell-1.3.3/missing --run aclocal-1.11
+ALLOCA =
+AMTAR = $${TAR-tar}
+AR = ar
+AS = as
+AUTOCONF = ${SHELL} /data/ports10/text/hunspell/work/hunspell-1.3.3/missing --run autoconf
+AUTOHEADER = ${SHELL} /data/ports10/text/hunspell/work/hunspell-1.3.3/missing --run autoheader
+AUTOMAKE = ${SHELL} /data/ports10/text/hunspell/work/hunspell-1.3.3/missing --run automake-1.11
+AWK = gawk
+BUILD_INCLUDED_LIBINTL = no
+CATOBJEXT = .gmo
+CC = clang
+CCDEPMODE = depmode=gcc3
+CFLAGS = -fomit-frame-pointer -O2 -pipe -march=pentium4 -fno-strict-aliasing
+CFLAG_VISIBILITY = -fvisibility=hidden
+CPP = clang-cpp
+CPPFLAGS = -I/usr/local/include -D_THREAD_SAFE
+CURSESLIB = -lncursesw
+CXX = clang++
+CXXCPP = clang++ -E
+CXXDEPMODE = depmode=gcc3
+CXXFLAGS = -fomit-frame-pointer -O2 -pipe -march=pentium4 -fno-strict-aliasing -O -pipe
+CYGPATH_W = echo
+DATADIRNAME = share
+DEFS = -DHAVE_CONFIG_H
+DEPDIR = .deps
+DLLTOOL = dlltool
+DSYMUTIL =
+DUMPBIN =
+ECHO_C =
+ECHO_N = -n
+ECHO_T =
+EGREP = /usr/bin/grep -E
+EXEEXT =
+FGREP = /usr/bin/grep -F
+GENCAT = gencat
+GETTEXT_MACRO_VERSION = 0.17
+GLIBC2 = no
+GLIBC21 = no
+GMSGFMT = /usr/local/bin/msgfmt
+GMSGFMT_015 = /usr/local/bin/msgfmt
+GREP = /usr/bin/grep
+HAVE_ASPRINTF = 1
+HAVE_POSIX_PRINTF = 1
+HAVE_SNPRINTF = 1
+HAVE_VISIBILITY = 1
+HAVE_WPRINTF = 0
+HUNSPELL_VERSION_MAJOR = 1
+HUNSPELL_VERSION_MINOR = 3
+INSTALL = /usr/bin/install -c -o root -g wheel
+INSTALL_DATA = install -o root -g wheel -m 444
+INSTALL_PROGRAM = install -s -o root -g wheel -m 555
+INSTALL_SCRIPT = install -o root -g wheel -m 555
+INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
+INSTOBJEXT = .mo
+INTLBISON = bison
+INTLLIBS = /usr/local/lib/libintl.so /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
+INTLOBJS =
+INTL_LIBTOOL_SUFFIX_PREFIX =
+INTL_MACOSX_LIBS =
+LD = /usr/bin/ld
+LDFLAGS = -L/usr/local/lib
+LIBICONV = /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
+LIBINTL = /usr/local/lib/libintl.so /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
+LIBMULTITHREAD = -lpthread
+LIBOBJS = ${LIBOBJDIR}error$U.o
+LIBPTH =
+LIBPTH_PREFIX =
+LIBS =
+LIBTHREAD =
+LIBTOOL = $(SHELL) $(top_builddir)/libtool
+LIPO =
+LN_S = ln -s
+LTLIBC = -lc
+LTLIBICONV = -L/usr/local/lib -liconv -R/usr/local/lib
+LTLIBINTL = -L/usr/local/lib -lintl -L/usr/local/lib -liconv -R/usr/local/lib
+LTLIBMULTITHREAD = -lpthread
+LTLIBOBJS = ${LIBOBJDIR}error$U.lo
+LTLIBPTH =
+LTLIBTHREAD =
+MAKEINFO = ${SHELL} /data/ports10/text/hunspell/work/hunspell-1.3.3/missing --run makeinfo
+MKDIR_P = /usr/local/bin/gmkdir -p
+MSGFMT = /usr/local/bin/msgfmt
+MSGFMT_015 = /usr/local/bin/msgfmt
+MSGMERGE = /usr/local/bin/msgmerge
+NM = /usr/bin/nm -B
+NMEDIT =
+OBJDUMP = objdump
+OBJEXT = o
+OTOOL =
+OTOOL64 =
+PACKAGE = hunspell
+PACKAGE_BUGREPORT = nemeth@numbertext.org
+PACKAGE_NAME = hunspell
+PACKAGE_STRING = hunspell 1.3.3
+PACKAGE_TARNAME = hunspell
+PACKAGE_URL =
+PACKAGE_VERSION = 1.3.3
+PATH_SEPARATOR = :
+POSUB = po
+PRI_MACROS_BROKEN = 0
+RANLIB = ranlib
+READLINELIB = -lreadline -lncurses
+SED = /usr/local/bin/gsed
+SET_MAKE =
+SHELL = /bin/sh
+STRIP = strip
+USE_INCLUDED_LIBINTL = no
+USE_NLS = yes
+VERSION = 1.3.3
+WINDRES =
+WOE32 = no
+WOE32DLL = no
+XFAILED =
+XGETTEXT = /usr/local/bin/xgettext
+XGETTEXT_015 = /usr/local/bin/xgettext
+XGETTEXT_EXTRA_OPTIONS =
+abs_builddir = /data/ports10/text/hunspell/work/hunspell-1.3.3/tests/suggestiontest
+abs_srcdir = /data/ports10/text/hunspell/work/hunspell-1.3.3/tests/suggestiontest
+abs_top_builddir = /data/ports10/text/hunspell/work/hunspell-1.3.3
+abs_top_srcdir = /data/ports10/text/hunspell/work/hunspell-1.3.3
+ac_ct_CC = clang
+ac_ct_CXX =
+ac_ct_DUMPBIN =
+am__include = include
+am__leading_dot = .
+am__quote =
+am__tar = $${TAR-tar} chof - "$$tardir"
+am__untar = $${TAR-tar} xf -
+bindir = ${exec_prefix}/bin
+build = i386-pc-freebsd10
+build_alias = i386-pc-freebsd10
+build_cpu = i386
+build_os = freebsd10
+build_vendor = pc
+builddir = .
+datadir = ${datarootdir}
+datarootdir = ${prefix}/share
+docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
+dvidir = ${docdir}
+exec_prefix = ${prefix}
+host = i386-pc-freebsd10
+host_alias =
+host_cpu = i386
+host_os = freebsd10
+host_vendor = pc
+htmldir = ${docdir}
+includedir = ${prefix}/include
+infodir = /usr/local/info
+install_sh = ${SHELL} /data/ports10/text/hunspell/work/hunspell-1.3.3/install-sh
+libdir = ${exec_prefix}/lib
+libexecdir = ${exec_prefix}/libexec
+localedir = ${datarootdir}/locale
+localstatedir = ${prefix}/var
+lt_ECHO = echo
+mandir = /usr/local/man
+mkdir_p = /usr/local/bin/gmkdir -p
+oldincludedir = /usr/include
+pdfdir = ${docdir}
+prefix = /usr/local
+program_transform_name =
+psdir = ${docdir}
+sbindir = ${exec_prefix}/sbin
+sharedstatedir = ${prefix}/com
+srcdir = .
+sysconfdir = ${prefix}/etc
+target = i386-pc-freebsd10
+target_alias =
+target_cpu = i386
+target_os = freebsd10
+target_vendor = pc
+top_build_prefix = ../../
+top_builddir = ../..
+top_srcdir = ../..
+EXTRA_DIST = \
+List_of_common_misspellings.txt \
+Makefile.orig \
+prepare \
+README \
+test
+
+all: all-am
+
+.SUFFIXES:
+$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
+ @for dep in $?; do \
+ case '$(am__configure_deps)' in \
+ *$$dep*) \
+ ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
+ && { if test -f $@; then exit 0; else break; fi; }; \
+ exit 1;; \
+ esac; \
+ done; \
+ echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/suggestiontest/Makefile'; \
+ $(am__cd) $(top_srcdir) && \
+ $(AUTOMAKE) --gnu tests/suggestiontest/Makefile
+.PRECIOUS: Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ @case '$?' in \
+ *config.status*) \
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+ *) \
+ echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+ cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+ esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure: $(am__configure_deps)
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4): $(am__aclocal_m4_deps)
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(am__aclocal_m4_deps):
+
+mostlyclean-libtool:
+ -rm -f *.lo
+
+clean-libtool:
+ -rm -rf .libs _libs
+tags: TAGS
+TAGS:
+
+ctags: CTAGS
+CTAGS:
+
+
+distdir: $(DISTFILES)
+ @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+ topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+ list='$(DISTFILES)'; \
+ dist_files=`for file in $$list; do echo $$file; done | \
+ sed -e "s|^$$srcdirstrip/||;t" \
+ -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+ case $$dist_files in \
+ */*) $(MKDIR_P) `echo "$$dist_files" | \
+ sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+ sort -u` ;; \
+ esac; \
+ for file in $$dist_files; do \
+ if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+ if test -d $$d/$$file; then \
+ dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
+ if test -d "$(distdir)/$$file"; then \
+ find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+ fi; \
+ if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+ cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
+ find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+ fi; \
+ cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
+ else \
+ test -f "$(distdir)/$$file" \
+ || cp -p $$d/$$file "$(distdir)/$$file" \
+ || exit 1; \
+ fi; \
+ done
+check-am: all-am
+check: check-am
+all-am: Makefile
+installdirs:
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+ @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+ if test -z '$(STRIP)'; then \
+ $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+ install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+ install; \
+ else \
+ $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+ install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+ "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
+ fi
+mostlyclean-generic:
+
+clean-generic:
+
+distclean-generic:
+ -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+ -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
+
+maintainer-clean-generic:
+ @echo "This command is intended for maintainers to use"
+ @echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic clean-libtool mostlyclean-am
+
+distclean: distclean-am
+ -rm -f Makefile
+distclean-am: clean-am distclean-generic
+
+dvi: dvi-am
+
+dvi-am:
+
+html: html-am
+
+html-am:
+
+info: info-am
+
+info-am:
+
+install-data-am:
+
+install-dvi: install-dvi-am
+
+install-dvi-am:
+
+install-exec-am:
+
+install-html: install-html-am
+
+install-html-am:
+
+install-info: install-info-am
+
+install-info-am:
+
+install-man:
+
+install-pdf: install-pdf-am
+
+install-pdf-am:
+
+install-ps: install-ps-am
+
+install-ps-am:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+ -rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-generic mostlyclean-libtool
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am:
+
+.MAKE: install-am install-strip
+
+.PHONY: all all-am check check-am clean clean-generic clean-libtool \
+ distclean distclean-generic distclean-libtool distdir dvi \
+ dvi-am html html-am info info-am install install-am \
+ install-data install-data-am install-dvi install-dvi-am \
+ install-exec install-exec-am install-html install-html-am \
+ install-info install-info-am install-man install-pdf \
+ install-pdf-am install-ps install-ps-am install-strip \
+ installcheck installcheck-am installdirs maintainer-clean \
+ maintainer-clean-generic mostlyclean mostlyclean-generic \
+ mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am
+
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT: